Obtenha a tarefa de análise pré-migração até projectId.
GET /analysis/{projectId}/task
curl \
--request GET 'http://127.0.0.1:8278/api/v1/analysis/{projectId}/task'
Exemplos de resposta (200)
{
"projectId": "string",
"status": "RUNNING",
"submittedAt": "2026-05-04T09:42:00Z"
}
Exemplos de resposta (404)
{
"errorType": "VALIDATION_ERROR",
"message": "string",
"timestamp": "2026-05-04T09:42:00Z",
"issues": [
{
"type": "RELMIG_MAPPING_TABLE_MISSING",
"message": "string",
"pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
}
]
}
Exemplos de resposta (500)
{
"errorType": "VALIDATION_ERROR",
"message": "string",
"timestamp": "2026-05-04T09:42:00Z",
"issues": [
{
"type": "RELMIG_MAPPING_TABLE_MISSING",
"message": "string",
"pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
}
]
}